Subject: bug#70128: Issue after upgrading ELPA-auctex 14.0.4

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Apr 2024 05:28:24 +0300

> Date: Mon, 1 Apr 2024 20:08:23 +0200
> Cc: [email-masked]
> From: Angelo Graziosi <[email-masked]>
> 
> The following happens on Windows 10 64 and Emacs 29.3-1 installed from 
> MSYS2/UCRT64 (mingw-w64-ucrt-x86_64-emacs 29.3-1, released/built with 
> native compilation )
> 
> When one starts Emacs it prints in Messages and minibuffer:
> 
> 
> imenu-default-create-index-function: Invalid (or missing) doc string 
> ("c:/Users/utente/AppData/Roaming/.emacs.d/elpa/auctex-14.0.4/tex.elc" . 
> 301409)
> 
> 
> After this the desktop file is "emptied": restarting Emacs all buffers 
> of the desktop file are lost (I have lost about 50 of them :-( )

This probably means the startup was interrupted by the above error, so
the desktop was not loaded, at least not completely.  When this
happens, if you don't want to lose your previous desktop file, you
need to copy it before exiting the session that didn't restore the
desktop due to such errors.

> For the sake of completeness: the issue does not happen with Emacs built 
> from Master (my build): this build _does not use_ native compilation.

Any reason to suspect that native compilation is a factor here?